
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>redis性能问题和解决方案 / iVAN</title>

    <meta name="description" content="redis性能问题和解决方案 redis性能问题和解决方案:               1.Master写内存快照,save命令调度rdbSave函数,会阻塞主线程的工作,当快照比较大时对性能影响是非常大的,会间断性暂停服务,所以Master最好不要写内存快照. 2.Master AOF持久化,如果不重写AOF文件,这个持久化方式对性能的影响是最小的,但是AOF文件会不断增大,AOF文件过大会影响Master重启的恢复速度. 3.Master调用BGREWRITEAOF重写AOF文件,AOF在重写的时候会占大量的CPU和内">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">redis性能问题和解决方案</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>redis性能问题和解决方案：       </p>
<p>       1.Master写内存快照，save命令调度rdbSave函数，会阻塞主线程的工作，当快照比较大时对性能影响是非常大的，会间断性暂停服务，所以Master最好不要写内存快照。</p>
<p>　　2.Master AOF持久化，如果不重写AOF文件，这个持久化方式对性能的影响是最小的，但是AOF文件会不断增大，AOF文件过大会影响Master重启的恢复速度。</p>
<p>　　3.Master调用BGREWRITEAOF重写AOF文件，AOF在重写的时候会占大量的CPU和内存资源，导致服务load过高，出现短暂服务暂停现象。</p>
<p>　　4.Redis主从复制的性能问题，第一次Slave向Master同步的实现是：Slave向Master发出同步请求，Master先dump出rdb文件，然后将rdb文件全量传输给slave，然后Master把缓存的命令转发给Slave，初次同步完成。第二次以及以后的同步实现是：Master将变量的快照直接实时依次发送给各个Slave。不管什么原因导致Slave和Master断开重连都会重复以上过程。Redis的主从复制是建立在内存快照的持久化基础上，只要有Slave就一定会有内存快照发生。虽然Redis宣称主从复制无阻塞，但由于Redis使用单线程服务，如果Master快照文件比较大，那么第一次全量传输会耗费比较长时间，且文件传输过程中Master可能无法提供服务，也就是说服务会中断，对于关键服务，这个后果也是很可怕的。</p>
<p>　　以上1.2.3.4根本问题的原因都离不开系统io瓶颈问题，也就是硬盘读写速度不够快，主进程 fsync()/write() 操作被阻塞。</p>
<p>　　5.单点故障问题，由于目前Redis的主从复制还不够成熟，所以存在明显的单点故障问题，这个目前只能自己做方案解决，如：主动复制，Proxy实现Slave对Master的替换等，这个也是Redis作者目前比较优先的任务之一，作者的解决方案思路简单优雅，详情可见 Redis Sentinel design draft<br />
http://redis.io/topics/sentinel-spec。</p>
<p>　　总结：</p>
<p>　　1.Master最好不要做任何持久化工作，包括内存快照和AOF日志文件，特别是不要启用内存快照做持久化。</p>
<p>　　2.如果数据比较关键，某个Slave开启AOF备份数据，策略为每秒同步一次。</p>
<p>　　3.为了主从复制的速度和连接的稳定性，Slave和Master最好在同一个局域网内。</p>
<p>　　4.尽量避免在压力较大的主库上增加从库</p>
<p>　　5.为了Master的稳定性，主从复制不要用图状结构，用单向链表结构更稳定，即主从关系为：Master&lt;--Slave1&lt;--Slave2&lt;--Slave3.......，这样的结构也方便解决单点故障问题，实现Slave对Master的替换，也即，如果Master挂了，可以立马启用Slave1做Master，其他不变。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-01 06:36:56</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%90%8c%e6%ad%a5/" title="同步">同步</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ad%98%e5%82%a8%e4%b8%8e%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据存储与数据库">数据存储与数据库</a>, <a href="https://www.iamivan.net/tag/%e6%80%a7%e8%83%bd/" title="性能">性能</a>, <a href="https://www.iamivan.net/tag/%e8%a7%a3%e5%86%b3%e6%96%b9%e6%a1%88/" title="解决方案">解决方案</a>, <a href="https://www.iamivan.net/tag/%e7%ba%bf%e7%a8%8b/" title="线程">线程</a>, <a href="https://www.iamivan.net/tag/redis/" title="redis">redis</a>, <a href="https://www.iamivan.net/tag/%e5%8d%95%e7%82%b9%e6%95%85%e9%9a%9c/" title="单点故障">单点故障</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>redis性能问题和解决方案的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mgw0KZM.html" rel="bookmark">redis性能问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 redis官方set 110000次/s get 81000次/s,怎么得来的,我测得差距好大,一半都不到 解决方案 测试redis性能不要使用jedis客户端,去做连接测试,因为java jedis client里面,缺陷:1:使用了Apache Common-Pools,有一定的性能损耗.2:要是设置了auth,性能更加低,因为jedis里面每一次操作都会调用一下auth解决方案二:请使用redis自带的benchmark来测试.解决方案三:perf的环境.配置一样不,人家肯定是调			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqAog3M.html" rel="bookmark">Redis性能问题排查解决手册&lpar;七&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				阅读目录: 性能相关的数据指标 内存使用率used_memory 命令处理总数total_commands_processed 延迟时间 内存碎片率 回收key 总结 性能相关的数据指标 通过Redis-cli命令行界面访问到Redis服务器,然后使用info命令获取所有与Redis服务相关的信息.通过这些信息来分析文章后面提到的一些性能指标. info命令输出的数据可分为10个类别,分别是: server clients memory persistence stats replication			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6eWQLb.html" rel="bookmark">云数据库Redis版备份恢复解决方案上线，数据可靠性全面升级！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				阿里云云数据库Redis版致力于为用户提供稳定可靠.性能卓越.可弹性伸缩的数据库服务,并提供全套的容灾切换.故障迁移.在线扩容.性能优化的数据库解决方案. 云数据库Redis版采用双击热备的架构保证服务高可用,并且提供了持久化机制来保证数据可靠性.但是随着越来越多的业务开始使用Redis作为最终的持久化存储引擎,用户对于数据可靠性就提出了更高的需求.经过一段时间的打磨,我们正式推出了Redis备份恢复解决方案,全面的升级云数据库Redis的数据可靠性.   1.     数据备份一键式操作 由于			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8kk04M.html" rel="bookmark">【求助】redis性能怎么比文本还慢呢？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 刚学习redis,使用jedis做了个小程序,用循环写入70w条数据.发现性能很差啊,需要90多秒.而直接用循环将这些数据写入文本文件,才花了3秒多.不明白是不是什么地方还需要设置,用的是redis默认的配置,分配最大3G内存,redis就在本机上猜测是不是每次写入都要重连接?如何正确测试性能?求指导!谢谢!代码如下:@BeforepublicvoidsetUp(){this.pool=newJedisPool(newJedisPoolConfig(),&quot;127.0.0.1&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgK0xBM.html" rel="bookmark">Eclipse RCP性能问题与解决方案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2004年开始,我开始让研发团队基于Eclipse插件技术开发通用管理软件(最近的一个产品是一体化企业管理软件CRM+OA+DSS+进销存的E-System) 选取RCP方式开发管理软件,我们的初衷是期望使得用户界面的丰富性和易操作,能够充分利用Eclipse本身丰富的SWT/JFACE/GEF/EMF等技术来完美我们的界面表现,应该说这方面Eclipse RCP确实不辜负我们的期望. 在四年的Eclipse RCP开发经历中,经历了很多坎坷和难以逾越的障碍,其中有一个至今仍在困扰着我们的问题就			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVwevDb.html" rel="bookmark">Redis广电直播行业解决方案，轻松应对业务高峰</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				       为了应对企业业务访问高峰,快速相应用户访问需求,越来越多的企业选择Redis作为企业的核心业务数据库,尤其在广播电视行业和视频直播行业大量的音视频应用广泛的应用了Redis服务.阿里云基于多年Redis应用和服务经验,为广电和直播行业的客户推出了专属解决方案,希望能够帮助有效的支撑企业业务的发展,快速适应业务变化,为企业发展保驾护航.        目前,众多行业客户已经选择阿里云Redis云数据库承载核心应用.央视CCTV利用Redis承载款跨年晚会的用户互动评论及红包分发的业务			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqgALRz.html" rel="bookmark">前端性能优化以及解决方案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近工作中一个项目在运行时有一些性能问题,为此我看了很多与性能优化相关的内容,下面做个简单的分享. 前端性能优化,这包括 CSS/JS 性能优化.网络性能优化等等内容,这方面的内容 &lt;高性能网站建设指南&gt;.&lt;高性能网站建设进阶指南&gt;.&lt;高性能JavaScript&gt; 等等书都做了很多讲解,强烈推荐阅读.(这些书单参见本文结尾) 下面的内容,上面提到的书中大都包含了,因此可以考虑转而去读这些书,做一个完完全全的了解,对于本文,也就不要再读下去了. 如果你坚持看到了这里,那就			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p58l3mM.html" rel="bookmark">css中空路径对页面性能影响的解决方案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在写 CSS 的时候,用 background:url(#) 还是会对页面进行多一次请求的. 不过,因为写多 CSS,一般需要用空背景来解决 bug 的时候,测试结果用 background:url(about:blank) 才是我们想要的:解 bug,不影响性能.那很简单,解决方案不就不出来?等等,让我们来做个测试吧. 解决方案是: 大胆使用 about:blank 来代替空,或者'#',特别是在 background-image 中使用 在 img / script / iframe 这些推			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnw6JKz.html" rel="bookmark">Redis-benchmark测试Redis性能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Redis-benchmark是官方自带的Redis性能测试工具,可以有效的测试Redis服务的性能. 使用说明如下: Usage: redis-benchmark [-h &lt;host&gt;] [-p &lt;port&gt;] [-c &lt;clients&gt;] [-n &lt;requests]&gt; [-k &lt;boolean&gt;] -h &lt;hostname&gt; Server hostname (default 127.0.0.1) -p &lt;port&gt;			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdWJxM.html" rel="bookmark" class="title">Java1&period;5语言新特性简单总结</a>
					<div>
						1. 自动装箱与拆箱 对应C# 例1.1  Integer i = 10;  int j = i;  2. 更优化的for循环 对应就C#---foreach循环 例2.1  String[] nam ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOqVmM.html" rel="bookmark" class="title">SQLServer中一个多用户自动生成编号的过程</a>
					<div>
						server|sqlserver|过程 SQLServer中一个多用户自动生成编号的过程 if not exists (select * from dbo.sysobjects where id =  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bogljb.html" rel="bookmark" class="title">Photoshop通道抠图实例教程&colon;快速抠出火焰</a>
					<div>
						原图 效果 开始了 , 特殊的图特殊对待,这个是利用通道反着想 打开素材,复制一层 [1] [2]  下一页					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mvalrb.html" rel="bookmark" class="title">jsp&plus;mysql制作简单的留言板&lpar;1&rpar;</a>
					<div>
						js|mysql 留言板要实现的功能是:浏览的人能留言并能分页的查看留言,管理员能对留言进行处理!这个留言板由9个小程序组成,分别是:board.jsp;message.html;opendata.j ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNggPp.html" rel="bookmark" class="title">Silverlight开发中如何为Silverlight添加双击事件</a>
					<div>
						在日常的开发中鼠标的事件是我们使用的最多的事件,但是在Silverlight中,只支持以下六种有限的鼠标事件:MouseEnter. MouseLeave.MouseLeftButtonDown.Mo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrR5VM.html" rel="bookmark" class="title">Maya制作骨骼教程之身体篇</a>
					<div>
						这个是上次做的腿,选择红色的选项,复制一个(这个复制可以复制物体的所有属性!) 2 把复制出来的骨骼移动到相映的位置 3 现在我们开始做身体部分的骨骼,今天做的是一个初级的骨骼,所以我们简化了很多东西 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx0Vrb.html" rel="bookmark" class="title">APMServ的rewrite方法</a>
					<div>
						在httpd.conf中手工设置. 示例:将http://127.0.0.1/跳转到http://127.0.0.1/phpinfo.php #APMServ默认虚拟主机 NameVirtualHos ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBg5Kb.html" rel="bookmark" class="title">数据库的滞后联编和对象嵌套特性剖析</a>
					<div>
						面向对象数据库系统支持面向对象数据模型,简称OO模型.也就是说,一个面向对象数据库系统是一个持久的.可共享的对象库的存储和管理者;而一个对象库是由一个OO模型所定义的对象的集合体. 面向对象数据库系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2qkOb.html" rel="bookmark" class="title">win8&period;1系统运行绿色软件被拒绝访问是怎么回事？</a>
					<div>
						  win8.1系统运行绿色软件被拒绝访问是怎么回事?下面小编就为大家介绍简单的解决方法. 1.由于win8.win8.1系统采用了和win10系统不一样的用户权限分配!很多操作,和运行很多软件都需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjPGvb.html" rel="bookmark" class="title">Photoshop设计创意的油漆刷墙壁纸效果</a>
					<div>
						其实每个人的心中都有一个笔刷,爱的不一样,就会画的不一样;想的不一样,就会画得不一样;梦想不一样,画的也不一样.我喜欢轻松.喜欢天空,所以画的也是我想的--分享壁纸和PS过程中,望各位喜欢和支持. - ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP88Pvp.html" rel="bookmark" class="title">dns错误无法上网</a>
					<div>
						  首先来分析原因,有可能是某些服务关闭.HOSTS文件被修改导致.当然,还有可能就是IP这些设置错误导致. 一.服务被关闭 服务被关闭,那么,重新启动服务,就可以解决问题了. 一.netsh win ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmmJ6z.html" rel="bookmark" class="title">word2010中表格边框底纹设置</a>
					<div>
						  在Word2010中,用户不仅可以在&quot;表格工具&quot;功能区设置表格边框,还可以在&quot;边框和底纹&quot;对话框设置表格边框,操作步骤如下所述: 第1步,打开Word201 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8WrGb.html" rel="bookmark" class="title">清新风格绿色登陆框制作教程</a>
					<div>
						今天我们将在PS图像处理软件中学习怎么制作网站登录框及登录界面,网站登录设计对于现在大部分网站来说都是必须,而如何网站设计师们如何设计好一个网站登录输入框呢?下面看教程为你们解答,大家不妨试着按教程制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Z50Bb.html" rel="bookmark" class="title">电脑虚拟内存低怎么改？</a>
					<div>
						  对于WindowsXP系统,修改虚拟内存大小可按如下操作: 在&quot;我的电脑&quot;按右键 -&gt; 属性 -&gt; 高级 -&gt; &quot;性能&quot;框中的&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3XqAM.html" rel="bookmark" class="title">电脑中播放网页视频提示shockwave flash has crashed的解决方法</a>
					<div>
						  方法一:修复Flash 1.可以从网上或者软件管理工具下载新版Flash; 2.下载完成后进行安装再看看问题是否解决. 方法二:关闭硬件加速 1.打开视频网站,随意点击播放一段视频,然后右击该视频 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WEPnb.html" rel="bookmark" class="title">远程接口设计经验分享</a>
					<div>
						远程接口设计经验分享 写在前边 分布式架构是互联网应用的基础架构,很多新人入职以来就开始负责编写和调用阿里的各种远程接口.但如同结婚一般,用对一个正确的接口就如同嫁一个正确的人一样,往往难以那么顺利的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwBgYb.html" rel="bookmark" class="title">网络地址划分</a>
					<div>
						网络地址划分图示: 说明: 1．A类IP地址 一个A类IP地址由1字节(每个字节是8位)的网络地址和3个字节主机地址组成,网络地址的最高位必须是&quot;0&quot;,即第一段数字范围为1-127 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6w6jz.html" rel="bookmark" class="title">sql-一道关于数据库的面试题，看着很简单，但我就是不会写。求指导</a>
					<div>
						问题描述 一道关于数据库的面试题,看着很简单,但我就是不会写.求指导 解决方案 oracle的http://www.cnblogs.com/luluping/archive/2012/07/26/26 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWBX4p.html" rel="bookmark" class="title">如何关闭百度竞价移动设备推广？</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 最近百度竞价推广,对PC设备和移动设备进行了整合,默认必须开启移动推广.很多朋友跟菜菜反映,移动终端的推广效果不理想,询问如何关闭百度竞价移动设备推广. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWmjOz.html" rel="bookmark" class="title">飞机不是白打的！打飞机1小时大约消耗1M流量</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   &quot;自从开始玩'打飞机'和'天天爱消除',手机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkNXDM.html" rel="bookmark" class="title">csharp&colon; Oracle Stored Procedure DAL using ODP&period;NET</a>
					<div>
						Oracel sql: --书分类目录kind -- Geovin Du create table BookKindList ( BookKindID INT PRIMARY KEY, BookKin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBl42M.html" rel="bookmark" class="title">大神请帮忙-做登陆和增删改查怎么实现的，我的接口总是报错太烦人了</a>
					<div>
						问题描述 做登陆和增删改查怎么实现的,我的接口总是报错太烦人了 求大神指点,就是用springmvc+hibernate+spring来实现增删改,我的总报错 解决方案 报什么错误呢?如果是编译期错误 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBXgDz.html" rel="bookmark" class="title">实例-跪求大神啊，VB中dwgthumb控件打开DWG文件时需要设置什么参数</a>
					<div>
						问题描述 跪求大神啊,VB中dwgthumb控件打开DWG文件时需要设置什么参数 VB中dwgthumb控件打开DWG文件时需要设置什么参数,用没用实例呢,谢谢啊,大神 解决方案 http://www ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12gqop.html" rel="bookmark" class="title">获取星座的JS函数</a>
					<div>
						通过JS获取星座的函数 function getConstellation(m,d){ var s=&quot;魔羯水瓶双鱼牡羊金牛双子巨蟹狮子处女天秤天蝎射手魔羯&quot;; var arr=[2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNPn8M.html" rel="bookmark" class="title">真大！乐卡车联重磅推出商用车首款智能后视镜</a>
					<div>
						近日,以&quot;真·大&quot;为主题的北京乐卡车联科技有限公司(简称:乐卡车联)成立暨新品发布会在京举行.此次发布会由乐卡车联主办,千方科技.中交兴路.一汽解放.多听科技倾情赞助.现场大咖云集 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8aLmp.html" rel="bookmark" class="title">Xp&sol;Win7查看操作系统是32位和64位的图文教程</a>
					<div>
						XP系统查看方法 在桌面上右键单机&quot;我的电脑&quot;选择&quot;属性&quot;,在&quot;常规&quot;选项卡下,我们可以看到系统的位数.(XP系统绝大多数都是32位的,64 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9j8rdp.html" rel="bookmark" class="title">&lbrack;Hadoop&rsqb;Sqoop 1&period;4&period;2中文文档（二）之数据导出</a>
					<div>
						一.sqoop-export 相关参数: usage: sqoop export [GENERIC-ARGS] [TOOL-ARGS] Common arguments: --connect &lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYwNWb.html" rel="bookmark" class="title">lotus交流群 61523452</a>
					<div>
						问题描述 欢迎大家加入该群,共同交流进步. 解决方案 解决方案二:先自己顶一个解决方案三:帮你顶顶吧.解决方案四:ding解决方案五:加群~~~~~~~~~~~~~解决方案六:加群~~~~~~~~~~ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Y0vYb.html" rel="bookmark" class="title">Atlassian Bamboo 3&period;3发布 持续集成构建服务器软件</a>
					<div>
						Atlassian Bamboo是一款持续集成构建服务器软件(Build Server).使http://www.aliyun.com/zixun/aggregation/7434.html&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvDqjM.html" rel="bookmark" class="title">基于Xen的VPS ubuntu&plus;nginx&plus;php安装教程&lowbar;nginx</a>
					<div>
						因为对系统性能要求很低,所以选择了Link-1,2.5G硬盘.64M内存.100GB流量.1个独立ip.使用优惠码9DMM7R可以有10%的折扣,vpslink.com.当然也可以找更大折扣的优惠码, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
